1 Reply Latest reply on May 18, 2010 10:11 AM by Jason San Jose

    FB4 errors will not go away when opening project with FB3

    iamcootis Level 1

      I decided to download FB4 and I opened a project that I had been working on in FB3 and I got these errors:
      The style 'backgroundGradientAlphas' is only supported by type 'mx.core.WindowedApplication' with the theme(s) 'halo'.  I found out how to fix this in FB4, but I decided it would be too much trouble to try to convert this project, so I decided to go back to FB3 to finish it. So I opened the project with my FB3 and the errors are still there.

       

      How can I get these to go away?

        • 1. Re: FB4 errors will not go away when opening project with FB3
          Jason San Jose Adobe Employee

          You don't have to convert the project, you can still use SDK 3.

           

          1) Project properties > Flex Compiler

          2) Under Flex SDK version, choose Flex 3.5

           

          You can also import older SDKs in Window > Preferences > Flash Builder > Installed Flex SDKs.

           

          I'm not sure how you would see compiler errors from FB4 in FB3 unless you were somehow sharing the same workspace in both. Sharing a workspace in that way is unsupported.

           

          Jason San Jose

          Software Engineer, Flash Builder